Skip to content

Overview

  • Version: 2.0.0
  • Servers: https://store.xsolla.com/api
  • Contact Us by Email
  • Contact URL: https://xsolla.com/
  • Required TLS version: 1.2

Shop Builder API provides a third-party solution for implementing the server side for your store interface. Use the endpoints to manage in-game items, in-game currencies, cart, player inventory, promotions, game library, etc.

Download OpenAPI description
Languages
Servers
Mock server
https://xsolla.redocly.app/_mock/api/shop-builder/
https://store.xsolla.com/api/
Operations

Personalized catalog

This API allows to specify rules for user attributes. If the user meets all conditions for a concrete rule, personalized items will be shown.

For personalized promotions see Promotions section.

To pass attributes before a purchase, you can use Xsolla Login API or pass them into user.attributes property while generating token using Pay Station API.

Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations

Catalog

This API allows getting any kind of sellable items or specific item.

Operations
Operations
Operations
Operations
Operations
Operations

Coupons

This API allows to you to manage coupons.

Operations

Promo codes

This API allows to manage promo codes.

Operations

Get promo code limit for specified userServer-sideAdmin

Request

Gets the remaining number of times the specified user can use the promo code.

User limit API allows you to limit the number of times users can use a promo code. For configuring the user limit itself, go to the Admin section:

Security
basicAuth
Path
project_idintegerrequired

Project ID. You can find this parameter in your Publisher Account next to the name of the project.

Example: 44056
external_idintegerrequired

Promotion external ID. Unique promotion identifier within the project.

Example: coupon_44056_1
Query
user_external_idstringrequired

User external ID

Example: user_external_id=d342dad2-9d59-11e9-a384-42010aa8003f
curl -i -X GET \
  -u <username>:<password> \
  'https://xsolla.redocly.app/_mock/api/shop-builder/v2/project/44056/admin/user/limit/promocode/external_id/coupon_44056_1?user_external_id=d342dad2-9d59-11e9-a384-42010aa8003f'

Responses

Successfully received promo code limits for a user.

Bodyapplication/json
per_userobject
Response
application/json
{ "per_user": { "total": 10, "available": 9 } }

Get promo code limit for codesServer-sideAdmin

Request

Gets the remaining number of times codes can be used. For filtering the codes, use the codes query parameter.

For configuring the code limit itself, go to the Admin section:

Security
basicAuth
Path
project_idintegerrequired

Project ID. You can find this parameter in your Publisher Account next to the name of the project.

Example: 44056
external_idintegerrequired

Promotion external ID. Unique promotion identifier within the project.

Example: coupon_44056_1
Query
codes[]Array of strings

Unique case-sensitive codes. Contain only letters and numbers.

limitinteger>= 1

Limit for the number of elements on the page.

Example: limit=50
offsetinteger>= 0

Number of the element from which the list is generated (the count starts from 0).

Example: offset=0
curl -i -X GET \
  -u <username>:<password> \
  'https://xsolla.redocly.app/_mock/api/shop-builder/v2/project/44056/admin/code/limit/promocode/external_id/coupon_44056_1?codes%5B%5D=string&limit=50&offset=0'

Responses

Successfully received promo code limits for a code.

Bodyapplication/json
promotion_idinteger

Promotion ID. Unique promotion identifier within the project.

itemsArray of objects(Code-limit-promo-code)
total_items_countnumber

Total number of codes.

has_moreboolean

If another page with codes exists.

Response
application/json
{ "promotion_id": 1, "items": [ {}, {} ], "total_items_count": 2, "has_more": false }

Unique catalog offers

This API allows to you to manage unique catalog offers.

Operations

Discounts

This API allows to you to manage discount promotions.

Operations

Bonuses

This API allows to manage bonus promotions.

Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations